Subject: Re: [PATCH v4 6/6] agent: advertise OS name via agent capability

From: Junio C Hamano <[email-masked]>
Date: Thu, 06 Feb 2025 07:13:46 -0800

Usman Akinyemi <[email-masked]> writes:

>> I obviously agree with the benefits enumerated in the above
>> paragraph.  The simpler, the better.
>>
>> I however wonder ...
>>
>> > Add the `transfer.advertiseOSInfo` config option to address privacy
>> > concerns. It defaults to `true` and can be changed to `false`.
>>
>> ... if this configuration knob is at the right granularity.
>
> The conclusion now is that we should not add any config option since
> the GIT_USER_AGENT could actually allow the user to hide whatever
> info they do not want to share ?

I wouldn't call that a conclusion (as you and I are the only people
who expressed their opinion on this so far), but that is my take on
it---tweaking only the (os) part in the agent string with a config
smells like the tweakability is at a wrong level.